// Persistence Of Vision Raytracer version 3.0 sample file.
// Used in conjunction with FLAMES.INC
// to demonstrate the textures in flames.inc.
// (c)1996 P.Engels (ENGELSPJ@AOL.COM)

//  texture-order:
//  Flame_A1   Flame_A2   Flame_A3   Flame_A4
//  Flame_B1   Flame_B2   Flame_B3   Flame_B4
//  Flame_C1   Flame_C2   Flame_C3   Flame_C4
//  Flame_D1   Flame_D2   Flame_D3   Flame_D4

global_settings { assumed_gamma 2.2 }
#include "colors.inc"
#include "shapes.inc"
#include "shapesq.inc"
#include "flames.inc"

#declare ROT=<0.1,0.2,-90.3>  //rotation for Piriform  !! change if needed
#declare SCA=<1.0, 3, 1.0>    //scaling for Piriform   !! change if needed

#declare Dist = 0

#declare Row1 =   4.5
#declare Row2 =   1.5
#declare Row3 =  -1.5
#declare Row4 =  -4.5

#declare Col1 =   -6
#declare Col2 =   -2
#declare Col3 =    2
#declare Col4 =    6

camera {
   location <0, 0, -15>
   direction <0, 0,  1>
   up <0,1,0>
   right x*1.33
   look_at -1 *y
}

light_source {<-5, 5, -100> color Gray50}
light_source {<15, 5, -20> color Gray25}

background { color Gray50 }

#declare Stack =
object { Piriform sturm hollow no_shadow
texture {pigment {color Clear } finish  {ambient 1 diffuse 0}}
       }

object { Stack halo{Flame_A1} rotate ROT scale SCA translate <Col1 Row1 Dist> }
object { Stack halo{Flame_A2} rotate ROT scale SCA translate <Col2 Row1 Dist> }
object { Stack halo{Flame_A3} rotate ROT scale SCA translate <Col3 Row1 Dist> }
object { Stack halo{Flame_A4} rotate ROT scale SCA translate <Col4 Row1 Dist> }

object { Stack halo{Flame_B1} rotate ROT scale SCA translate <Col1 Row2 Dist> }
object { Stack halo{Flame_B2} rotate ROT scale SCA translate <Col2 Row2 Dist> }
object { Stack halo{Flame_B3} rotate ROT scale SCA translate <Col3 Row2 Dist> }
object { Stack halo{Flame_B4} rotate ROT scale SCA translate <Col4 Row2 Dist> }

object { Stack halo{Flame_C1} rotate ROT scale SCA translate <Col1 Row3 Dist> }
object { Stack halo{Flame_C2} rotate ROT scale SCA translate <Col2 Row3 Dist> }
object { Stack halo{Flame_C3} rotate ROT scale SCA translate <Col3 Row3 Dist> }
object { Stack halo{Flame_C4} rotate ROT scale SCA translate <Col4 Row3 Dist> }

object { Stack halo{Flame_D1} rotate ROT scale SCA translate <Col1 Row4 Dist> }
object { Stack halo{Flame_D2} rotate ROT scale SCA translate <Col2 Row4 Dist> }
object { Stack halo{Flame_D3} rotate ROT scale SCA translate <Col3 Row4 Dist> }
object { Stack halo{Flame_D4} rotate ROT scale SCA translate <Col4 Row4 Dist> }

